CHECK-REGEXP(1)

NAME
check-regexp - test regular expressions from the command line

SYNOPSIS
check-regexp 'regular expression' 'string1' 'string2' ...

DESCRIPTION
check-regexp (GNU Source-highlight)

You simply pass as the first command line argument the regular expression and then the strings you want to try to match.
It is crucial, in order to avoid shell substitutions, to enclose both the expression and the strings in single quotes.

The program then prints some information about the possibly successful matching.
In the output the what[0] part represents the whole match, and the what[i] part represents the i-th marked subexpression that matched.

The program also prints possible prefix and suffix.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

AUTHOR
check-regexp was written by Lorenzo Bettini <www.lorenzobettini.it>. This man page was written by Cesare Tirabassi <norsetto@ubuntu.com>.